{% extends template_base %}
{% load widget_tweaks %}
{% load static %}
{% load i18n %}

{% block title %}Monitoreo exploratorio{% endblock %}

{% block pagelevelcss %}
  <link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
  <script src="{% static 'assets/plugins/sweetalert/sweetalert.min.js' %}"></script>
{% endblock %}

{% block page %}
  <!-- begin breadcrumb -->
  <ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item active">Listado monitoreo exploratorio</li>
  </ol>
  <!-- end breadcrumb -->
  <!-- begin page-header -->
  <h1 class="page-header">Monitoreo exploratorio <small>lista</small></h1>
  <!-- end page-header -->
  <!-- begin row -->
  <div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-12">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="table-basic-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">Listado Monitoreo exploratorio</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <div class="panel-body">
          <div class="row mb-3">
            <div class="col-sm-12 col-md-12">
                <a class="btn btn-success btn-sm pull-right ml-1" href="{% url 'qa-monitoring-create' %}">Nuevo</a>
                <button data-name="export" data-type="pdf" class="btn btn-primary btn-sm pull-right ml-1">Exportar a PDF</button>
                <button data-name="export" data-type="excel" class="btn btn-indigo btn-sm pull-right ml-1">Exportar a Excel</button>
            </div>
          </div>

          <div class="row mb-3">
            <form class="col-12">
              <div class="row mb-3 m-l-2">
                <div class="col-lg-4 col-md-6 m-r-8">
                  <label class="control-label m-r-10">Rango</label>
                  <div class="input-group">
                    <input type="date" id="date_from" class="form-control" placeholder="Desde">
                    <input type="date" id="date_to" class="form-control" placeholder="Hasta">                    
                  </div>
                </div> 
              </div>
            </form>
          </div>

          <table id="qa-monitoring-list" class="table table-striped table-bordered table-td-valign-middle" style="width:100%">
            <thead>
              <tr>
                <th style="width:5%" class="text-center">ID</th>
                <th style="width:8%" class="text-center">Fecha de Contacto</th>
                <th style="width:10%" class="text-center">Agente</th>
                <th style="width:10%" class="text-center">N° de Tlf del Cliente</th>
                <th style="width:10%" class="text-center">Correo del Cliente</th>
                <th style="width:9%" class="text-center">RUT</th>
                <th style="width:10%" class="text-center">N° de Servicio</th>
                <th style="width:10%" class="text-center">Fecha de Creación</th>
                <th style="width:10%" class="text-center">Creado por</th>
                <th style="width:10%" class="text-center">Seguimiento</th>
                <th style="width:10%" class="text-center">Acciones</th>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>
        </div>
        <!-- end panel-body -->
      </div>
      <!-- end panel -->
    </div>
    <!-- end col-12 -->
  </div>
  <!-- end row -->
  <div id="tracings" class="modal">
    <div class="modal-dialog modal-lg" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5>Seguimiento Monitoreo Exploratorio</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        </div>
        <div class="modal-body">
          <table id="tracings-list" class="table table-striped table-bordered table-td-valign-middle" style="width:100%">
            <thead>
              <tr>
                <th style="width:10%" class="text-center">Resuelto</th>
                <th style="width:25%" class="text-center">Motivo</th>
                <th style="width:25%" class="text-center">Observaciones</th>
                <th style="width:10%" class="text-center">Acciones</th>
              </tr>
            </thead>
            <tbody>
              
            </tbody>
          </table>
          <div class="row">
            <div class="col-12 col-md-2 mx-0 px-0">
              <div class="row mx-0 px-0 justify-content-center">
                <strong>Resuelto</strong>
              </div>
              <div class="row mx-0 px-0">
                <div class="col-6 mx-0 px-0">
                  <div class="row mx-0 px-0 justify-content-center">
                    <strong><label for="id_solved">Si</label></strong>
                  </div>
                  <div class="row mx-0 px-0 justify-content-center">
                    <input type="radio" id="id_solved" name="solved" value="Y"/>
                  </div>
                </div>
                <div class="col-6 mx-0 px-0">
                  <div class="row mx-0 px-0 justify-content-center">
                    <strong><label for="id_solved_n">No</label></strong>
                  </div>
                  <div class="row mx-0 px-0 justify-content-center">
                    <input type="radio" id="id_solved_n" name="solved" value="N" checked/>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-12 col-md-5 mx-0 px-0">
              <div class="row mx-0 px-0 justify-content-center">
                <strong><label for="id_reason">Motivo</label></strong>
              </div>
              <div class="row mx-0 px-0">
                <textarea id="id_reason" name="reason" class="form-control m-b-5"></textarea>
              </div>
            </div>
            <div class="col-12 col-md-5 mx-0 px-0">
              <div class="row mx-0 px-0 justify-content-center">
                <label for="id_comment"><strong>Observaciones</strong></label>
              </div>
              <div class="row mx-0 px-0">
                <textarea id="id_comment" name="comment" class="form-control m-b-5"></textarea>
              </div>
            </div>
          </div>
          <div class="row justify-content-end">
            <button id="tracing_save" data-action="add" class="btn btn-primary mx-1">Agregar</button>
            <button id="tracing_cancel" class="btn btn-default mx-1 d-none">Cancelar</button>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div id="monitoring-detail" class="modal">
    <div class="modal-dialog modal-lg" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5>Detalle de Monitoreo Exploratorio</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        </div>
        <div class="modal-body">
          <table class="table">
            <tr>
              <td style="width: 30%;">FECHA DE CONTACTO</td>
              <td style="width: 70%;" data-name="detail-contact-date"></td>
            </tr>
            <tr>
              <td>AGENTE</td>
              <td data-name="detail-agent"></td>
            </tr>
            <tr>
              <td>N° DE TELÉFONO DEL CLIENTE</td>
              <td data-name="detail-phone"></td>
            </tr>
            <tr>
              <td>CORREO DEL CLIENTE</td>
              <td data-name="detail-email"></td>
            </tr>
            <tr>
              <td>RUT</td>
              <td data-name="detail-rut"></td>
            </tr>
            <tr>
              <td>N° DE SERVICIO</td>
              <td data-name="detail-service"></td>
            </tr>
            <tr>
              <td>SUBCATETGORIA</td>
              <td data-name="detail-subcategory"></td>
            </tr>
            <tr>
              <td>MOTIVO</td>
              <td data-name="detail-reason"></td>
            </tr>
            <tr>
              <td>OBSERVACIÓN</td>
              <td data-name="detail-comment"></td>
            </tr>
            <tr>
              <td>FECHA DE CREACIÓN</td>
              <td data-name="detail-created-at"></td>
            </tr>
            <tr>
              <td>CREADO POR</td>
              <td data-name="detail-created-by"></td>
            </tr>
          </table>
        </div>
      </div>
    </div>
  </div>
  <!-- begin scroll to top btn -->
  <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
  <!-- end scroll to top btn -->
{% endblock %}

{% block pageleveljs %}
<script type="text/javascript">
    //active menu
    document.getElementById("qa_menu").classList.add("active");
    //active submenu item
    document.getElementById("qamonitoring_item").classList.add("active");
</script>
  <script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}"></script>
  <script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}"></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}"></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}"></script>
  <script src="{% static 'theme/build/js/pages/qa-monitoring-list.js' %}"></script>
  
{% endblock %}    
